Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.rico.adventure.enums
Enum CustomCursor

    java.lang.Object
      java.lang.Enum<CustomCursor>
          de.rico.adventure.enums.CustomCursor

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CustomCursor>

    public enum CustomCursor

extends java.lang.Enum<CustomCursor>

This enumeration contains the custom game cursors.

Author:
  Frank Bruns

Enum Constant Summary
`INVISIBLE`
`LEAVE`
`NO_ACTION_POSSIBLE`
`NORMAL`
`PICK_UP`
`TALK`
`USE`

Method Summary
`static CustomCursor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CustomCursor[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NORMAL

    public static final CustomCursor NORMAL

### TALK

    public static final CustomCursor TALK

### USE

    public static final CustomCursor USE

### PICK_UP

    public static final CustomCursor PICK_UP

### LEAVE

    public static final CustomCursor LEAVE

### NO_ACTION_POSSIBLE

    public static final CustomCursor NO_ACTION_POSSIBLE

### INVISIBLE

    public static final CustomCursor INVISIBLE

Method Detail

### values

    public static final CustomCursor[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CustomCursor c : CustomCursor.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CustomCursor valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD